package soa.juddi3

// Reconfigure SOA-P to provide db connections outside container and log level for jUDDI
def serverConfigDir  = properties['org.jboss.esb.server.home'] + "/server/" + properties['org.jboss.esb.server.config']
def uddiEsbDir       = new File(serverConfigDir, "/deploy/jbossesb-registry.sar")

def xsltServerTemplate = new File(properties['work.dir'] + "/server.xslt")
ant.move(toDir: uddiEsbDir) {
	fileset(dir: uddiEsbDir) {
		include(name: 'juddi-ds.xml')
		include(name: 'juddi_config/META-INF/persistence.xml')
	}
	mapper(type: 'glob', from: '*.xml', to: '*.pretran')
}
ant.xslt(basedir: uddiEsbDir, destdir: uddiEsbDir, style: xsltServerTemplate, includes: '**/*.pretran', extension: '.xml')
